Subject: JMP> Job MIB Standard direction

From: Harry Lewis <[email-masked]>
Date: Fri, 7 Nov 1997 17:37:42 -0500

Appoligies to Harald and Chris. I found the concise IETF position I was
searching for. It was originally part of a PMP topic, which is why I had
difficulty back referencing.

> With regard to the Job MIB, it seems clear that:
>
> - The IETF has no consensus position that it is a Good Thing to deploy
>   MIBs as a means of users' access to information (as opposed to an
>   administrator's access). In particular, the access control models
>   currently being defined in the SNMPv3 group are not based on the idea
>   that all users need MIB access; we do not want to bring this idea into
>   that process, for fear of delaying it further.
>
> - The IETF has consensus that there is no need for all MIBs to be
>   Internet standards. Informational MIBs, or MIBs developed by other
>   organizations, are Good Things; the IETF can sometimes assist in their
>   reviews, without necessarily taking responsibility.
>
> - Given the two positions above, we think that it's better for the
>   Job MIB to be submitted to the IETF as an external document and given
>   Informational status as a protocol under PWG control.

In Boulder, we discussed the fact that Experimental may carry more "weight"
than Informational. In Boulder, we felt we only had 2 weeks to resolve this,
which is why I brought it up. If we go strictly the Informational route,
we will register the Job MIB under the new PWG enterprise OID.

Another thing I think this decision will force that we are really not
addressing is the last bit of Harald's statement  "as a protocol under PWG
control" Do we know exactly what this means?

Harry Lewis - IBM Printing Systems

---

From: Jay Martin <[email-masked]>
Date: Fri, 07 Nov 1997 18:15:47 -0500

> Harry Lewis - IBM Printing Systems

Doesn't this mean that the PWG advertises the protocol and retains
all related documents in a publicly available repository, and that
the PWG maintains authoritative control on the specifications?

Are there other issues?  Do you think the PWG is not currently able
to do these things?  If not, what must be done to make this happen,
assuming the PWG desires to do this?

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

---

From: [email-masked]
Date: Sat, 08 Nov 1997 09:54:57 +0100

Harry,
The statement "under PWG control" means that if the PWG claims that
the Job MIB version 2 is defined like this-and-this, the IETF won't
protest.
If the PWG were to do the same thing with a standards-track document,
the IETF will insist that it ain't so until it's been approved
by the IETF process.
We've had several attempts at groups saying that they're "defining
the next version of standard XXX", while not consulting the IETF.
That is WRONG.

              Harald A